@ECHO OFF
REM Installing the Demultiplexer filter.
REM (c) Victor Batov. 2008.
REM
@echo.
@echo Copying filter to the system directory...
@echo.

IF "x%OS%x" == "xWindows_NTx" Goto Set_WinNT

copy /Y Demultiplexer.ax %windir%\system
IF ERRORLEVEL 1 GOTO ERROR

@echo Registering filter...

regsvr32 %windir%\system\Demultiplexer.ax
IF ERRORLEVEL 0 @echo The filter was installed successfully!

Goto Finish


:Set_WinNT

copy /Y Demultiplexer.ax %windir%\system32
IF ERRORLEVEL 1 GOTO ERROR

@echo Registering filter...

regsvr32 %windir%\system32\Demultiplexer.ax
IF ERRORLEVEL 0 @echo The filter was installed successfully!

Goto Finish


:ERROR
@echo.
@echo Error copying the filter to the system directory!
@echo.

:Finish
